- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoObjectiveVector< ObjectiveVectorTraits > Class Template Reference

Abstract class allowing to represent a solution in the objective space (phenotypic representation). More...

`#include <moeoObjectiveVector.h>`

Inheritance diagram for moeoObjectiveVector< ObjectiveVectorTraits >:

List of all members.

## Public Types
typedef ObjectiveVectorTraits | Traits
| The traits of objective vectors.
## Static Public Member Functions
static void | setup (unsigned _nObjectives, std::vector< bool > &_bObjectives)
| Parameters setting (for the objective vector of any solution).
static unsigned | nObjectives ()
| Returns the number of objectives.
static bool | minimizing (unsigned _i)
| Returns true if the _ith objective have to be minimized.
static bool | maximizing (unsigned _i)
| Returns true if the _ith objective have to be maximized.

## Detailed Description

### template<class ObjectiveVectorTraits>
class moeoObjectiveVector< ObjectiveVectorTraits >

Abstract class allowing to represent a solution in the objective space (phenotypic representation).

The template argument ObjectiveVectorTraits defaults to moeoObjectiveVectorTraits, but it can be replaced at will by any other class that implements the static functions defined therein. Some static funtions to access to the traits characteristics are re-defined in order not to write a lot of typedef's.

Definition at line 28 of file moeoObjectiveVector.h.

## Member Function Documentation

template<class ObjectiveVectorTraits>

static void moeoObjectiveVector< ObjectiveVectorTraits >::setup | ( | unsigned | _nObjectives,
|  | std::vector< bool > & | _bObjectives |
| ) |  |  | `[inline, static]`

Parameters setting (for the objective vector of any solution).

Parameters:

  | _nObjectives | the number of objectives
  | _bObjectives | the min/max vector (true = min / false = max)

Definition at line 41 of file moeoObjectiveVector.h.

template<class ObjectiveVectorTraits>

static bool moeoObjectiveVector< ObjectiveVectorTraits >::minimizing | ( | unsigned | _i | ) | `[inline, static]`

Returns true if the _ith objective have to be minimized.

Parameters:

  | _i | the index

Definition at line 60 of file moeoObjectiveVector.h.

template<class ObjectiveVectorTraits>

static bool moeoObjectiveVector< ObjectiveVectorTraits >::maximizing | ( | unsigned | _i | ) | `[inline, static]`

Returns true if the _ith objective have to be maximized.

Parameters:

  | _i | the index

Definition at line 69 of file moeoObjectiveVector.h.

The documentation for this class was generated from the following file:

- moeoObjectiveVector.h